XScreenSaver(1)

NAME
fireworkx - pyrotechnic explosions eye-candy.

SYNOPSIS
fireworkx [-display host:display.screen] [-visual visual] [-window] [-root] [-verbose] [-noflash] [-shoot] [-delay number] [-maxlife number] [-fps]

DESCRIPTION
Animates explosions.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-noflash
    Turn off light flash effect. (Runs faster)

-shoot
    Fire shells up using mortar.

-delay number
    Delay between frames. In microseconds. (Default: 10000)

-maxlife number
    Maximum decay period for an explosion. (Range: 0-100)

-verbose
    For scientific research purposes only..!

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1999-2013 by Rony B Chandran. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR

Written by Rony B Chandran <ronybc@gmail.com>

Additional programming and support:
--------------------------------------------------------------------
Rugmini R Chandran <rugmini@ronybc.com>
Renuka S <renuka@ronybc.com>
Jean-Pierre Demailly <Jean-Pierre.Demailly@ujf-grenoble.fr>
Nicholas Miell <nmiell@gmail.com>

URL
http://www.ronybc.com